﻿@model (IEnumerable<Bll.Models.WorkExperienceModel>, IEnumerable<int>)

@if (Model.Item1.Any())
{
    <div class="border border-1 accordion accordion-flush" id="wrk-accordionFlushExample">
        @foreach (var item in Model.Item1)
        {
            <div class="accordion-item bg-light-cyan">
                <div class="container w-100">
                    <div class="row">
                        <div class="col-1 p-0">
                            <div>
                                @if (Model.Item2 != null && Model.Item2.Contains(item.Id))
                                {
                                    <input type="checkbox" id="@item.Id" name="WorkExperienceIds" value="@item.Id" checked>
                                }
                                else
                                {
                                    <input type="checkbox" id="@item.Id" name="WorkExperienceIds" value="@item.Id">
                                }
                            </div>
                        </div>
                        <div class="col-11 p-0">
                            <h2 class="accordion-header" id="wrk-flush-heading-@item.Id">
                                <button class="accordion-button collapsed bg-light-cyan" type="button" data-bs-toggle="collapse" data-bs-target="#wrk-flush-collapse-@item.Id" aria-expanded="false" aria-controls="#wrk-flush-collapse-@item.Id">
                                    @item.CompanyName
                                </button>
                            </h2>
                        </div>
                    </div>
                </div>


                <div id="wrk-flush-collapse-@item.Id" class="accordion-collapse collapse" aria-labelledby="wrk-flush-heading-@item.Id" data-bs-parent="#wrk-accordionFlushExample">
                    <div class="d-flex flex-column align-items-center accordion-body">
                        <div class="d-flex w-100 mb-3 flex-column">
                            <p class="mb-0">Position</p>
                            <p class="text-muted mb-0">@item.Position</p>
                            <hr>
                            <p class="mb-0">Start Date</p>
                            <p class="text-muted mb-0">@item.StartDate.ToString("yyyy MMMM")</p>
                            <hr>
                            <p class="mb-0">Years</p>
                            @if (item.FinishDate.HasValue)
                            {
                                <p class="text-muted mb-0">@item.FinishDate.Value.ToString("yyyy MMMM")</p>
                            }
                            else
                            {
                                <p class="text-muted mb-0">Unfinished</p>
                            }
                            <hr>
                        </div>
                    </div>
                </div>
            </div>
        }
    </div>
}
else
{
    <div class="d-flex w-100 justify-content-center">
        <h2 class="d-flex">No Work Experience</h2>
    </div>
}
